pbs.hh File Reference
`#include <gecode/search.hh>`
`#include <gecode/search/par/pbs.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Search::Par::PortfolioStop
| Stop object used for controling slaves in a portfolio. More...
class | Gecode::Search::Par::Slave< Collect >
| Runnable slave of a portfolio master. More...
class | Gecode::Search::Par::CollectAll
| Collect all solutions. More...
class | Gecode::Search::Par::CollectBest
| Collect best solutions. More...
class | Gecode::Search::Par::PBS< Collect >
| Parallel portfolio engine implementation. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Search
| Search engines
namespace | Gecode::Search::Par